Description

Issue:

Creation of new host over GCE fails due to the following error message:

"zone_name is required for this operation"

Reproducing steps:

1. compute resource was created, with filling out the following fields: name, provider (google), google project id, client email,

certificate path (using the service account created in GCP) & zone (in this case us-central1-a)

2. location and organisation we're set to this compute resource

3. verification was made to ensure i can "see" the already running instances hosted in GCE from foreman

4. configuration of compute profiles and images to set the GCE provided instance types according to my needs

5. setting up finish template to the CentOS operating system that were configured as images

6. creation of a new host, after filling in the following classes i've got the error noted at the top of this report

Host - name, organisation, location, host group, deploy on, compute profile, environment

Network - domain

OS - Architecture, OS, Image

Virtual Machine - Machine Type, Network

Log event:

Started POST "/hosts" for <IP> at 2014-10-22 13:53:52 +0000

Processing by HostsController#create as */*

Parameters: {"utf8"=>"✓", "authenticity_token"=><AUTH_KEY>, "host"=>{"name"=>"davetest", "organization_id"=>"6",

"location_id"=>"11", "hostgroup_id"=>"1", "compute_resource_i

d"=>"19", "compute_profile_id"=>"4", "environment_id"=>"2", "puppetclass_ids"=>[""], "managed"=>"true",

"progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "compute_attributes"=>{"machine_type"=>"1290855

9320241551184", "network"=><NETWORK NAME>, "external_ip"=>"0", "image_id"=>"2365868823508405185"},

"domain_id"=>"8", "realm_id"=>"", "mac"=>"", "ip"=>"", "interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"f

alse", "type"=>"Nic::Managed", "mac"=>"", "name"=>"", "domain_id"=>"", "ip"=>"", "provider"=>"IPMI"}}, "architecture_id"=>"1",

"operatingsystem_id"=>"12", "provision_method"=>"image", "build"=>"1", "ptable_id"=>"

", "disk"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"13-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"",

"overwrite"=>"false"}, "capabilities"=>"image", "provider"=>"GCE"}

Adding Compute instance for <INSTANCE NAME>

Failed to create a compute <INSTANCE NAME> (us-central1-a-Google) instance <INSTANCE NAME>: zone_name is required

for this operation

Rolling back due to a problem: [Set up compute instance <INSTANCE NAME>        2       failed  [#<Host::Managed id: nil, name:

<INSTANCE NAME>, ip: nil, last_compile: nil, last_freshcheck: nil, last_report: nil, updated_at: nil, source_file_id: nil,

created_at: nil, mac: nil, root_pass:_<ROOT_PASS>_, serial: nil, puppet_status: 0, domain_id: 8, architecture_id: 1,

operatingsystem_id: 12, environment_id: 2, subnet_id: nil, ptable_id: nil, medium_id: nil, build: true, comment: "", disk: "",

installed_at: nil, model_id: nil, hostgroup_id: 1, owner_id: 13, owner_type: "User", enabled: true, puppet_ca_proxy_id: 1,

managed: true, use_image: nil, image_file: nil, uuid: nil, compute_resource_id: 19, puppet_proxy_id: 1, certname: nil, image_id:

2, organization_id: 6, location_id: 11, type: "Host::Managed", otp: nil, realm_id: nil, compute_profile_id: 4, provision_method:
"image">, :setCompute]]

Failed to save: Failed to create a compute <COMPUTE RESOURCE NAME> (us-central1-a-Google) instance <INSTANCE

NAME>: zone_name is required for this operation

Related issues:

Related to Foreman - Bug #4551: Google Compute Engine Compute Resource Fails ... Closed 03/05/2014

Related to Foreman - Bug #26473: [Google Compute Resource] fix broken changes... Closed

History

#1 - 11/12/2014 08:16 AM - Dave Ezrakhovich

guys any update? :(

#2 - 04/28/2015 12:13 PM - Daniel Lobato Garcia

- Related to Bug #4551: Google Compute Engine Compute Resource Fails to create new hosts added

#3 - 02/13/2019 09:52 AM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

#4 - 03/28/2019 09:18 AM - Kavita Gaikwad

- Related to Bug #26473: [Google Compute Resource] fix broken changes with latest API changes and fog-google gem update added

#5 - 06/26/2019 07:37 AM - Kavita Gaikwad

- Status changed from New to Closed

It is resolved in https://projects.theforeman.org/issues/26473.

Please feel free to reopen this ticket if you are still facing this issue.
